Subject: Re: [Bitcoin-development] libzerocoin released, what about a zerocoin-only alt-coin with either-or mining

From: Jorge Timón <[email-masked]>
Date: Mon, 15 Jul 2013 15:05:52 +0200

One way sacrifice (btc to zerocoin) is a non-issue since there's no
modification required for bitcoin and you can't do anything to prevent
it anyway.
The controversial thing is sacrificing something outside bitcoin's
chain and new btc appearing.

On merged mining. It is true that "merged attacking" the other chain
is free, but it is still more profitable to just follow the rules and
mine the other coin!!
If someone considers that something he can sell in a market for btc is
"negative value"...well, he's just dammed stupid. Proof of work is
designed for rational actors, if you stop assuming miners are more or
less rational everything falls apart. It is possible that the "extra
value" is too little for some miners to bother. But the extra costs of
validating something else are so little compared to chance-hashing
that miners not merged mining namecoin right now are just stupid
(irrational agents). You can merged mine and sell for btc right away.

On prime proof of work...for me it's interseting only because it's
moving towards SCIP-based mining but that should be the goal. Like
Mark said, "let's cure cancer" while mining. That would end all
"mining is wasteful" arguments about this great security system. This
would make Ripple's consensus mechanism less attractive. People
talking about new scrypts harder to ASIC-mine when that's the elephant
in the room...
Sorry, I'm going off-topic.
SCIP-based merged mining for the win.

On 7/15/13, Peter Todd <[email-masked]> wrote:
> On Sat, Jul 13, 2013 at 11:32:39AM -0700, Peter Vessenes wrote:
>> One very real issue for alt-currencies that don't peg to Bitcoin is that
>> market liquidity is a bitch. By almost all standards current global
>> Bitcoin
>> liquidity is already very, very low. Too low for many transactions that
>> come across my desk at least.
>>
>> There are a lot of reasons for that low liquidity, but to try and float a
>> new pair for which the likely initial counter-asset is going to be
>> Bitcoin
>> means minuscule liquidity.
>
> Being able to have automated Bitcoin<->Zerocoin P2P trading without an
> exchange is also significantly more desirable from a privacy standpoint.
> Basically it reduces the privacy risks of doing the exchange to spending
> the Zerocoins in the first place.
>
> --
> 'peter'[:-1]@petertodd.org
> 00000000000000878c30a45104c48fd4e8037cb5b3ba1e14dc4d8bef72eff1be
>

-- 
Jorge Timón

http://freico.in/